curl --request GET \
--url https://api.instantly.ai/api/v2/supersearch-enrichment/{resource_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/supersearch-enrichment/{resource_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/supersearch-enrichment/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/supersearch-enrichment/{resource_id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/supersearch-enrichment/{resource_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/supersearch-enrichment/{resource_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"resource_id": "01234567-89ab-cdef-0123-456789abcdef",
"enrichment_payload": {
"work_email_enrichment": true,
"fully_enriched_profile": true,
"email_verification": false,
"joblisting": true,
"technologies": true,
"news": true,
"funding": true,
"engagement_score": true,
"ai_enrichment": {},
"custom_flow": [
"leadmagic",
"prospeo",
"hunter"
],
"limit": 10,
"autofill": true
},
"in_progress": false,
"has_no_leads": false,
"exists": true,
"auto_update": false,
"is_evergreen": false,
"search_filters": {}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Get enrichment for resource
Get the enrichment for a specific resource
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the list or campaign to retrieve the enrichment.
"123e4567-e89b-12d3-a456-426614174000"
Response
Default Response
ID of the resource being enriched
"01234567-89ab-cdef-0123-456789abcdef"
Enrichment types
Show child attributes
Show child attributes
Whether the enrichment is in progress
false
Whether the enrichment for this resource returned no leads for these search filters. This is only applicable for enrichments created from SuperSearch.
false
Whether the enrichment exists
true
Whether leads added to the list will be automatically enriched
false
Whether the enrichment is evergreen
false
Search filters used to create this enrichment (only present for enrichments created from SuperSearch)